{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf mkMerge mkThenElse;
  cfg = config.r6d.config-generator;
  computers = config.r6d.computers;
  profiles = config.r6d.profiles;
in

mkIf true {

  # Paquets
  environment.systemPackages = with pkgs; [
    bc
    mailutils
  ];

  # Services

  ## Noeud de supervision munin = pas de stockage des données locales
  services.munin-node = {
    enable = true;
  };
  systemd.services.munin-node.serviceConfig.TimeoutStartSec = "3min";

  ## Munin server -- generate /var/www/munin
  services.munin-cron = {
    enable = true;
    hosts = ''
      [${config.networking.hostName}]
        address 127.0.0.1
    '';
    extraGlobalConfig = ''
      contact.email.command mail -s "Munin notification for ''${var:host}" root@${config.networking.hostName}
    '';
  };

  # Réseau
  networking.firewall = {
    allowedTCPPorts = [
      #8000
    ];
    allowedUDPPorts = [
    ];
  };
}
